<Project Sdk="Microsoft.NET.Sdk">

  <Import Project="..\..\common.props" />

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <RootNamespace>JiShe.CollectBus</RootNamespace>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Workers\**" />
    <EmbeddedResource Remove="Workers\**" />
    <None Remove="Workers\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="FodyWeavers.xml" />
    <None Remove="JiShe.CollectBus.Application.Contracts.abppkg" />
  </ItemGroup>

  <ItemGroup>
		<PackageReference Include="Volo.Abp.Ddd.Application.Contracts" />
		<PackageReference Include="JiShe.ServicePro.IoTDBManagement.Application.Contracts" />
		<PackageReference Include="Volo.Abp.Authorization" />
		<PackageReference Include="Volo.Abp.Ddd.Domain.Shared" />
		<PackageReference Include="JiShe.ServicePro.Kafka" />
		<PackageReference Include="JiShe.ServicePro.FreeRedisProvider" />
		<ProjectReference Include="..\..\shared\JiShe.CollectBus.Common\JiShe.CollectBus.Common.csproj" />
    <ProjectReference Include="..\..\shared\JiShe.CollectBus.Domain.Shared\JiShe.CollectBus.Domain.Shared.csproj" />
    <ProjectReference Include="..\JiShe.CollectBus.Domain\JiShe.CollectBus.Domain.csproj" />
  </ItemGroup>

</Project>
